<template>
  <div
    class="flex flex-row justify-center items-center py-[8.5px] px-4 gap-[35px] bg-background1"
  >
    <span class="h-[19px] font-medium text-[16px] leading-[19px]">
      {{ $t("contact") }}
    </span>
  </div>
  <div class="p-2 h-[calc(100vh-162px)] bg-background2  bk8-scrollable overflow-y-scroll pb-10">
    <div class="flex flex-col padding-x mb-[7vh]">
      <div
        class="flex flex-col p-4 bg__gradient rounded-lg mb-2 fc-textBtn"
      >
        <div class="flex">
          <ul class="grow">
            <li>
              <p>
                <b class="text-[15.82px] fc-text4">{{
                  $t("online_customer_service")
                }}</b>
              </p>
            </li>
            <li class="leading-6">
              <p class="text-[13.1px] fc-text4">
                {{ $t("dedicated_service_caring_first") }}
              </p>
            </li>
          </ul>
        </div>
      </div>
      <div
        class="flex flex-col items-center px-4 w-full bg-background5 contactus-bg space-y-[9px] rounded-lg"
      >
        <div
          v-for="(contact, index) in getContactList"
          :key="index"
          class="flex justify-between items-center px-3 gap-[25px] w-full h-[64px] contactus-border_b relative"
        >
          <div
            class="flex flex-auto items-center p-0 gap-2 h-[24px]"
            @click="handleHyperlinkRender(contact.HyperLink)"
          >
            <div class="w-[24px] h-[24px]">
              <img class="w-full h-full" v-lazy="contact.ImagePath" />
            </div>
            <div class="flex-auto h-[16px] font-bold text-sm leading-4">
              <span>{{ contact.Text }}</span>
            </div>
          </div>
          <span v-if="(theme=== 'bk8' || isMain) && contact.HyperLink !== ''" @click="copyTextToClipBoard(contact.HyperLink)" class="h-[16px] font-bold text-sm leading-4 text-primary font-medium">{{$t('copy')}}</span>
      </div>
        </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { store } from "@/store";

export default defineComponent({
  setup() {
    const {copyTextToClipBoard, handleHyperlinkRender } = commonHelper;
    const { getContactList } = useContactUs();
    const { themeColor } = themePropertyHelper;
    const  theme  = themeColor.value.Text ;
    const isMain = computed(() => store.state.selectedThemeName === "main");
    return {
      getContactList,
      handleHyperlinkRender,
      theme,
      copyTextToClipBoard,
      isMain,
    };
  },
});
</script>

<style lang="scss" scoped>
.text-primary {
  color: var(--primary);
}
.contactus-border_b {
  // border-bottom: 1px solid #4d5080;
  &:not(:last-of-type)::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 0;
    --D500: linear-gradient(rgba(23, 23, 23, 0.5), rgba(23, 23, 23, 0.5)), linear-gradient(var(--border), var(--border));
    height: 2px;
    width: 100%;
    background: var(--D500);
  }
  img {
    filter: var(--secondary-filter);
  }
}
.contactus-border_b:last-child {
  border: none;
}
.bg__gradient {
  background-color: #6b52cb;
}
[theme-color="bk8"] {
  .bg__gradient {
    background-color: var(--background4);
  }
  .copy-btn{
    color: var(--primary);
    font-weight: 700;
    font-size: 14;
  }
  .bk8-scrollable{
    overflow-y: scroll;
  }
}
</style>
